Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLTextAreaElementImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.html.dom.HTMLElementImpl
                          org.apache.html.dom.HTMLTextAreaElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, HTMLFormControl, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLTextAreaElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class HTMLTextAreaElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLTextAreaElement, HTMLFormControl

Version:
  $Revision: 447255 $ $Date: 2006-09-18 01:36:42 -0400 (Mon, 18 Sep 2006) $
Author:
  Assaf Arkin
See Also:
  `HTMLTextAreaElement`, `ElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLTextAreaElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` | `blur()` Removes keyboard focus from this element.
`void` | `focus()` Gives keyboard focus to this element.
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`int` | `getCols()` Width of control (in characters).
`java.lang.String` | `getDefaultValue()` Stores the initial control value (i.e., the initial value of `value`).
`boolean` | `getDisabled()` The control is unavailable in this context.
`java.lang.String` | `getName()` Form control or object name when submitted with a form.
`boolean` | `getReadOnly()` NON-DOM: Returns true if this node is read-only.
`int` | `getRows()` Number of text rows.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getType()` The type of this form control.
`java.lang.String` | `getValue()` The current textual content of the multi-line text field.
`void` | `select()` Select the contents of the `TEXTAREA`.
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setCols(int cols)`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setDisabled(boolean disabled)`
`void` | `setName(java.lang.String name)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setRows(int rows)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLTextAreaElement
`getForm`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLTextAreaElementImpl

    public HTMLTextAreaElementImpl(HTMLDocumentImpl owner,
                                   java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getDefaultValue

    public java.lang.String getDefaultValue()

  Description copied from interface: `org.w3c.dom.html.HTMLTextAreaElement`
  Stores the initial control value (i.e., the initial value of `value`).

  Specified by:
    `getDefaultValue` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

  Specified by:
    `setDefaultValue` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### getAccessKey

    public java.lang.String getAccessKey()

  Description copied from interface: `org.w3c.dom.html.HTMLTextAreaElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

  Specified by:
    `getAccessKey` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Specified by:
    `setAccessKey` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### getCols

    public int getCols()

  Description copied from interface: `org.w3c.dom.html.HTMLTextAreaElement`
  Width of control (in characters). See the cols attribute definition in HTML 4.0.

  Specified by:
    `getCols` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### setCols

    public void setCols(int cols)

  Specified by:
    `setCols` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### getDisabled

    public boolean getDisabled()

  Description copied from interface: `org.w3c.dom.html.HTMLTextAreaElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.

  Specified by:
    `getDisabled` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    `setDisabled` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### getName

    public java.lang.String getName()

  Description copied from interface: `org.w3c.dom.html.HTMLTextAreaElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.

  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### getReadOnly

    public boolean getReadOnly()

  Description copied from class: `org.apache.xerces.dom.NodeImpl`
  NON-DOM: Returns true if this node is read-only. This is a shallow check.

  Specified by:
    `getReadOnly` in interface `org.w3c.dom.html.HTMLTextAreaElement`
  Overrides:
    `getReadOnly` in class `org.apache.xerces.dom.NodeImpl`

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Specified by:
    `setReadOnly` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### getRows

    public int getRows()

  Description copied from interface: `org.w3c.dom.html.HTMLTextAreaElement`
  Number of text rows. See the rows attribute definition in HTML 4.0.

  Specified by:
    `getRows` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### setRows

    public void setRows(int rows)

  Specified by:
    `setRows` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `org.w3c.dom.html.HTMLTextAreaElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

  Specified by:
    `getTabIndex` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    `setTabIndex` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### getType

    public java.lang.String getType()

  Description copied from interface: `org.w3c.dom.html.HTMLTextAreaElement`
  The type of this form control.

  Specified by:
    `getType` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### getValue

    public java.lang.String getValue()

  Description copied from interface: `org.w3c.dom.html.HTMLTextAreaElement`
  The current textual content of the multi-line text field. If the entirety of the data can not fit into a single wstring, the implementation may truncate the data.

  Specified by:
    `getValue` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    `setValue` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### blur

    public void blur()

  Description copied from interface: `org.w3c.dom.html.HTMLTextAreaElement`
  Removes keyboard focus from this element.

  Specified by:
    `blur` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### focus

    public void focus()

  Description copied from interface: `org.w3c.dom.html.HTMLTextAreaElement`
  Gives keyboard focus to this element.

  Specified by:
    `focus` in interface `org.w3c.dom.html.HTMLTextAreaElement`

### select

    public void select()

  Description copied from interface: `org.w3c.dom.html.HTMLTextAreaElement`
  Select the contents of the `TEXTAREA`.

  Specified by:
    `select` in interface `org.w3c.dom.html.HTMLTextAreaElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.